Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512609 - [GSS][RHEL-6] new PID file location is not known to nagios, causing inaccurate reporting
Summary: [GSS][RHEL-6] new PID file location is not known to nagios, causing inaccurat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-nagios-addons
Version: rhgs-3.3
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
: RHGS 3.3.1
Assignee: Sahina Bose
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On: 1498112
Blocks: 1475688
TreeView+ depends on / blocked
 
Reported: 2017-11-13 16:01 UTC by Sahina Bose
Modified: 2017-11-29 03:23 UTC (History)
13 users (show)

Fixed In Version: gluster-nagios-addons-0.2.10-2
Doc Type: If docs needed, set a value
Doc Text:
Gluster brick process monitoring does not account for the new location of the brick process file. With this update, nagios monitoring checks the correct location of gluster brick PID file.
Clone Of: 1498112
Environment:
Last Closed: 2017-11-29 03:23:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3271 normal SHIPPED_LIVE gluster-nagios-addons bug fix and enhancement update 2017-11-29 08:23:00 UTC

Comment 3 Sweta Anandpara 2017-11-14 05:02:21 UTC
Have already validated this to be working on RHEL6 Nagios setup as well. 
Tried it another time with glusterfs-3.8.4-52 and gluster-nagios-addons-0.2.10-2 and nagios-server-addons-0.2.6-1.

Moving this bug to verified for RHGS 3.3.1.

[root@dhcp37-44 ~]# rpm -qa | grep gluster
gluster-nagios-common-0.2.4-1.el6rhs.noarch
glusterfs-client-xlators-3.8.4-52.el6rhs.x86_64
glusterfs-server-3.8.4-52.el6rhs.x86_64
glusterfs-rdma-3.8.4-52.el6rhs.x86_64
glusterfs-3.8.4-52.el6rhs.x86_64
glusterfs-api-3.8.4-52.el6rhs.x86_64
glusterfs-cli-3.8.4-52.el6rhs.x86_64
python-gluster-3.8.4-52.el6rhs.noarch
glusterfs-geo-replication-3.8.4-52.el6rhs.x86_64
glusterfs-debuginfo-3.8.4-52.el6rhs.x86_64
gluster-nagios-addons-0.2.10-2.el6rhs.x86_64
vdsm-gluster-4.16.30-1.5.el6rhs.noarch
glusterfs-libs-3.8.4-52.el6rhs.x86_64
glusterfs-fuse-3.8.4-52.el6rhs.x86_64
glusterfs-events-3.8.4-52.el6rhs.x86_64
[root@dhcp37-44 ~]#

Comment 4 Pratik Mulay 2017-11-17 12:35:24 UTC
Adding Doc text from associated BZ (https://bugzilla.redhat.com/show_bug.cgi?id=1498112) as provided by Sahina in Errata Advisory 30965 (https://errata.devel.redhat.com/docs/show/30965)

Hi Sahina,

I've edited the Doc Text for it's associated Errata.

Request you to review the same and let me know in case of any concerns.

If no changes are required, request you to provide your approval for the same.

Comment 5 Sahina Bose 2017-11-17 12:45:05 UTC
Yes - looks good

Comment 8 errata-xmlrpc 2017-11-29 03:23:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3271


Note You need to log in before you can comment on or make changes to this bug.